summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-10-03 07:35:43 +0200
committerHans de Graaff <graaff@gentoo.org>2017-10-03 07:35:43 +0200
commit10d3d91bd70d50a10b0d020ee45060ce6e164f35 (patch)
tree802ede04f8320984e449e97da6ba825ad28a2385 /dev-ruby/flexmock
parentdev-ruby/capybara: add 2.15.2 (diff)
downloadgentoo-10d3d91bd70d50a10b0d020ee45060ce6e164f35.tar.gz
gentoo-10d3d91bd70d50a10b0d020ee45060ce6e164f35.tar.bz2
gentoo-10d3d91bd70d50a10b0d020ee45060ce6e164f35.zip
dev-ruby/flexmock: add 2.3.6
Package-Manager: Portage-2.3.8, Repoman-2.3.2
Diffstat (limited to 'dev-ruby/flexmock')
-rw-r--r--dev-ruby/flexmock/Manifest1
-rw-r--r--dev-ruby/flexmock/flexmock-2.3.6.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-ruby/flexmock/Manifest b/dev-ruby/flexmock/Manifest
index d2652787086..1927b2c120f 100644
--- a/dev-ruby/flexmock/Manifest
+++ b/dev-ruby/flexmock/Manifest
@@ -1 +1,2 @@
DIST flexmock-2.3.5.tar.gz 91482 SHA256 97404104df369f1dc0c88f1845bae2c872cd721f577f49615a820b6c6a712d70 SHA512 5012228b5fdf5f7501655a6d0d6073b2a2ff6e5b975fd71dd59db16ff9996e0742e0f8ed9ca9a20d4c4da773835b40453de26ff6e43b93f96b5ba6760f01a130 WHIRLPOOL 0c50c954854d1fe1741536e9561a322f0f54eccdc802a5732e05813589eaa7af2c1e0c33959064f310c42c14f651b0a4e09012f7fd812d4f19789e92ee024f82
+DIST flexmock-2.3.6.tar.gz 91601 SHA256 f52c6858a761ed035080a767c5ac91b65852092eacd1455425ad4c35897178fc SHA512 0fcc25c1a83ba1e2aed91eed98242592dfc1a69d57c033fbd363383962b16d6e72011d62a906ae8bf076801a3d5e8e8501bdb9f6ca3750c9615dfe8b9b0bdbbc WHIRLPOOL 52d94a39971992c498ff4f9baf689f045a3ed13b3e89a04efb3e7fb5d2eac05e4b2ca1a9fcc289447fb2bffa75f61ac4d91798610d0e2c19f47bff0707c9a62c
diff --git a/dev-ruby/flexmock/flexmock-2.3.6.ebuild b/dev-ruby/flexmock/flexmock-2.3.6.ebuild
new file mode 100644
index 00000000000..c82cff10c13
--- /dev/null
+++ b/dev-ruby/flexmock/flexmock-2.3.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_DOCDIR="html"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md doc/*.rdoc doc/releases/*"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple mock object library for Ruby unit testing"
+HOMEPAGE="https://github.com/doudou/flexmock"
+SRC_URI="https://github.com/doudou/flexmock/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="flexmock"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/minitest:5
+ dev-ruby/rspec:3
+ )"
+
+each_ruby_test() {
+ RSPEC_VERSION=3 ruby-ng_rspec test/rspec_integration
+ ${RUBY} -Ilib:.:test -e 'Dir["test/*_test.rb"].each{|f| require f}' || die
+}
+
+all_ruby_prepare() {
+ sed -i -e '1igem "minitest", "~>5.0"' test/test_helper.rb || die
+}